-- phpMyAdmin SQL Dump
-- version 3.5.8.2
-- http://www.phpmyadmin.net
--
-- Servidor: localhost
-- Tiempo de generación: 11-01-2016 a las 13:19:49
-- Versión del servidor: 5.5.42-37.1-log
-- Versión de PHP: 5.4.23

SET SQL_MODE="NO_AUTO_VALUE_ON_ZERO";
SET time_zone = "+00:00";


/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8 */;

--
-- Base de datos: `funhelps_tfc`
--
DROP DATABASE `funhelps_tfc`;
CREATE DATABASE `funhelps_tfc` DEFAULT CHARACTER SET latin1 COLLATE latin1_swedish_ci;
USE `funhelps_tfc`;

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `Anotacions`
--

DROP TABLE IF EXISTS `Anotacions`;
CREATE TABLE IF NOT EXISTS `Anotacions` (
  `Id` int(11) NOT NULL AUTO_INCREMENT,
  `Titol` varchar(20) NOT NULL,
  `Usuari` int(3) NOT NULL,
  `Link` varchar(50) NOT NULL,
  `Ambit` smallint(6) NOT NULL,
  PRIMARY KEY (`Id`),
  KEY `Usuari` (`Usuari`)
) ENGINE=InnoDB  DEFAULT CHARSET=latin1 AUTO_INCREMENT=15 ;

--
-- Volcado de datos para la tabla `Anotacions`
--

INSERT INTO `Anotacions` (`Id`, `Titol`, `Usuari`, `Link`, `Ambit`) VALUES
(14, 'aula%20xat', 2, 'xat.php?aula%20xat&anotacio=14', 3);

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `tbcomentarios`
--

DROP TABLE IF EXISTS `tbcomentarios`;
CREATE TABLE IF NOT EXISTS `tbcomentarios` (
  `idComentario` int(11) NOT NULL AUTO_INCREMENT,
  `idUsuario` int(11) NOT NULL,
  `Fecha` varchar(100) COLLATE utf8_spanish_ci NOT NULL,
  `Aula` varchar(100) COLLATE utf8_spanish_ci NOT NULL,
  `VideoID` varchar(100) COLLATE utf8_spanish_ci NOT NULL,
  `Segundos` float NOT NULL,
  `Comentarios` text COLLATE utf8_spanish_ci NOT NULL,
  `privado` tinyint(1) NOT NULL,
  PRIMARY KEY (`idComentario`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 COLLATE=utf8_spanish_ci AUTO_INCREMENT=83 ;

--
-- Volcado de datos para la tabla `tbcomentarios`
--

INSERT INTO `tbcomentarios` (`idComentario`, `idUsuario`, `Fecha`, `Aula`, `VideoID`, `Segundos`, `Comentarios`, `privado`) VALUES
(32, 2, '20/11/2015', 'After Effects', 'c2O4nL7gTLs', 1.67608, 'Marc introduccio al after effects<br> Profe:  ja deus tenir prÃ ctica', 0),
(38, 2, '10/12/2015', 'After Effects', 'c2O4nL7gTLs', 1.52372, 'Marc bla<br> Profe:  rtens rao', 0),
(41, 2, '13/12/2015', 'After Effects', 'c2O4nL7gTLs', 1.44401, 'Marc diumenge<br> Profe:  no, dissabte', 1),
(64, 2, '7/1/2016', 'After Effects', 'c2O4nL7gTLs', 0.159496, 'Marc n''adones', 0),
(82, 2, '11/1/2016', '', '', 0.058909, 'Marc desat%20avui', 1);

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `tbexamens`
--

DROP TABLE IF EXISTS `tbexamens`;
CREATE TABLE IF NOT EXISTS `tbexamens` (
  `id` varchar(30) NOT NULL COMMENT 'coincideix amb el video id',
  `numpregs` int(11) NOT NULL,
  PRIMARY KEY (`id`),
  KEY `id` (`id`),
  KEY `id_2` (`id`),
  KEY `id_3` (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Volcado de datos para la tabla `tbexamens`
--

INSERT INTO `tbexamens` (`id`, `numpregs`) VALUES
('c2O4nL7gTLs', 2);

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `tbopinions`
--

DROP TABLE IF EXISTS `tbopinions`;
CREATE TABLE IF NOT EXISTS `tbopinions` (
  `idopinio` int(11) NOT NULL AUTO_INCREMENT,
  `struser` varchar(50) NOT NULL,
  `stropinio` varchar(500) NOT NULL,
  `anotacio` int(11) NOT NULL,
  PRIMARY KEY (`idopinio`),
  KEY `anotacio` (`anotacio`)
) ENGINE=InnoDB  DEFAULT CHARSET=latin1 AUTO_INCREMENT=56 ;

--
-- Volcado de datos para la tabla `tbopinions`
--

INSERT INTO `tbopinions` (`idopinio`, `struser`, `stropinio`, `anotacio`) VALUES
(55, '', 'aqui%20podem%20fer%20una%20mica%20de%20col.loqui', 14);

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `tbperfiles`
--

DROP TABLE IF EXISTS `tbperfiles`;
CREATE TABLE IF NOT EXISTS `tbperfiles` (
  `perfilUsuario` int(11) NOT NULL AUTO_INCREMENT,
  `Descripcion` varchar(255) COLLATE utf8_spanish_ci DEFAULT 'Alumno' COMMENT 'Tipo de usuario',
  PRIMARY KEY (`perfilUsuario`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 COLLATE=utf8_spanish_ci COMMENT='Tipos de usuarios' AUTO_INCREMENT=5 ;

--
-- Volcado de datos para la tabla `tbperfiles`
--

INSERT INTO `tbperfiles` (`perfilUsuario`, `Descripcion`) VALUES
(2, 'admin'),
(3, 'Profesor'),
(4, 'Alumno');

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `tbpreguntes`
--

DROP TABLE IF EXISTS `tbpreguntes`;
CREATE TABLE IF NOT EXISTS `tbpreguntes` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `pregunta` text NOT NULL,
  `resposta` varchar(250) NOT NULL,
  `moment` decimal(10,0) NOT NULL,
  `id_examen` varchar(30) NOT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `moment` (`moment`),
  KEY `id_examen` (`id_examen`)
) ENGINE=InnoDB  DEFAULT CHARSET=latin1 AUTO_INCREMENT=5 ;

--
-- Volcado de datos para la tabla `tbpreguntes`
--

INSERT INTO `tbpreguntes` (`id`, `pregunta`, `resposta`, `moment`, `id_examen`) VALUES
(3, 'la espasa es de?', 'llum', '15', 'c2O4nL7gTLs'),
(4, 'l''espasa l''agafa amb la ', 'ma', '4', 'c2O4nL7gTLs');

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `tbusuarios`
--

DROP TABLE IF EXISTS `tbusuarios`;
CREATE TABLE IF NOT EXISTS `tbusuarios` (
  `idUsuario` int(11) NOT NULL AUTO_INCREMENT,
  `perfilUsuario` int(11) NOT NULL DEFAULT '0' COMMENT 'Tipo de usuario',
  `Nombre` varchar(200) COLLATE utf8_spanish_ci NOT NULL DEFAULT 'Pepe' COMMENT 'Nombre del usuario',
  `pwd` varchar(64) COLLATE utf8_spanish_ci NOT NULL DEFAULT '',
  `pwd_hash` varchar(200) COLLATE utf8_spanish_ci NOT NULL,
  PRIMARY KEY (`idUsuario`),
  KEY `relPerfil` (`perfilUsuario`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 COLLATE=utf8_spanish_ci COMMENT='Usuarios de la Aulas y administradores' AUTO_INCREMENT=8 ;

--
-- Volcado de datos para la tabla `tbusuarios`
--

INSERT INTO `tbusuarios` (`idUsuario`, `perfilUsuario`, `Nombre`, `pwd`, `pwd_hash`) VALUES
(1, 4, 'tfc', '81dc9bdb52d04dc20036dbd8313ed055', ''),
(2, 3, 'Marc', '81dc9bdb52d04dc20036dbd8313ed055', ''),
(3, 3, 'Manel', '81dc9bdb52d04dc20036dbd8313ed055', ''),
(7, 4, 'Alumne', '81dc9bdb52d04dc20036dbd8313ed055', '');

--
-- Restricciones para tablas volcadas
--

--
-- Filtros para la tabla `Anotacions`
--
ALTER TABLE `Anotacions`
  ADD CONSTRAINT `Anotacions_ibfk_1` FOREIGN KEY (`Usuari`) REFERENCES `tbusuarios` (`idUsuario`) ON DELETE CASCADE ON UPDATE CASCADE;

--
-- Filtros para la tabla `tbopinions`
--
ALTER TABLE `tbopinions`
  ADD CONSTRAINT `tbopinions_ibfk_1` FOREIGN KEY (`anotacio`) REFERENCES `Anotacions` (`Id`) ON DELETE CASCADE ON UPDATE CASCADE;

--
-- Filtros para la tabla `tbpreguntes`
--
ALTER TABLE `tbpreguntes`
  ADD CONSTRAINT `tbpreguntes_ibfk_1` FOREIGN KEY (`id_examen`) REFERENCES `tbexamens` (`id`) ON DELETE CASCADE ON UPDATE CASCADE;

--
-- Filtros para la tabla `tbusuarios`
--
ALTER TABLE `tbusuarios`
  ADD CONSTRAINT `relPerfil` FOREIGN KEY (`perfilUsuario`) REFERENCES `tbperfiles` (`perfilUsuario`);

/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
